import createAxios from '@/utils/request'

// 新增装置型号
export function addDevType(data: any) {
    return createAxios({
        url: '/device-boot/devType/addDevType',
        method: 'post',
        data
    })
}
// 删除新装置型号
export function delDevType(data: any) {
    return createAxios({
        url: '/device-boot/devType/delDevType',
        method: 'post',
        data
    })
}
// 更新装置型号
export function updateDevType(data: any) {
    return createAxios({
        url: '/device-boot/devType/updateDevType',
        method: 'post',
        data
    })
}
// 查询装置型号全部信息
export function getDevTypeList() {
    return createAxios({
        url: '/device-boot/devType/getDevTypeList',
        method: 'post',
        
    })
}


export const getDeviceTypeList = (params: any) => {
  return createAxios({
    url: '/device-boot/devType/pageDevTypeList',
    method: 'POST',
    data: params
  })
}